COMPUTE votf1a_2 = votf1 .
DISCRIMINANT
  /GROUPS=votf1(1 3)
  /VARIABLES=cons age scola reven occup langm sexe 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (votf1a_2 = 95 | missing(votf1a_2)) votf1a_2 = dis_1 .

COMPUTE votp1a_2 = votp1 .
DISCRIMINANT
  /GROUPS=votp1(1 3)
  /VARIABLES=cons age scola reven occup langm sexe 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (missing(votp1a_2) | votp1a_2 = 95) votp1a_2 = dis_2 .

COMPUTE ref1a_2 = ref1 .
DISCRIMINANT
  /GROUPS=ref1(1 2)
  /VARIABLES=cons age scola reven occup langm sexe 
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF ((ref1a_2 = 8) | missing(ref1a_2)) ref1a_2 = dis_3 .

var lab votf1a_2 "VOTE FDRAL phase 2".
val lab votf1a_2 1 "PLC" 2 "BQ" 3 "PC" 4 "NPD" 5 "AUTRE" 6 "PVC".

var lab votp1a_2 "VOTE PROVINCIAL phase 2".
val lab votp1a_2 1 "PLQ" 2 "PQ" 3 "ADQ" 4 "QS" 5 "PVQ" 6 "AUTRE_QC".

var lab ref1a_2 "VOTE RFRENDAIRE phase 2.".
val lab ref1a_2 1 "POUR" 2 "CONTRE".

EXECUTE .

